# Uses of Class
javax.management.modelmbean.ModelMBeanNotificationInfo

Packages that use ModelMBeanNotificationInfo
Package
Description
javax.management.modelmbean
Provides the definition of the ModelMBean classes.

## Uses of ModelMBeanNotificationInfo in javax.management.modelmbean

Methods in javax.management.modelmbean that return ModelMBeanNotificationInfo
Modifier and Type
Method
Description
`ModelMBeanNotificationInfo`
ModelMBeanInfo.`getNotification​(String inName)`
Returns a ModelMBeanNotificationInfo requested by name.
`ModelMBeanNotificationInfo`
ModelMBeanInfoSupport.`getNotification​(String inName)`
Constructors in javax.management.modelmbean with parameters of type ModelMBeanNotificationInfo
Modifier
Constructor
Description
``
`ModelMBeanInfoSupport​(String className, String description, ModelMBeanAttributeInfo[] attributes, ModelMBeanConstructorInfo[] constructors, ModelMBeanOperationInfo[] operations, ModelMBeanNotificationInfo[] notifications)`
Creates a ModelMBeanInfoSupport with the provided information, but the descriptor is a default.
``
`ModelMBeanInfoSupport​(String className, String description, ModelMBeanAttributeInfo[] attributes, ModelMBeanConstructorInfo[] constructors, ModelMBeanOperationInfo[] operations, ModelMBeanNotificationInfo[] notifications, Descriptor mbeandescriptor)`
Creates a ModelMBeanInfoSupport with the provided information and the descriptor given in parameter.
``
`ModelMBeanNotificationInfo​(ModelMBeanNotificationInfo inInfo)`
Constructs a new ModelMBeanNotificationInfo object from this ModelMBeanNotfication Object.